Bug 53801 - Internal compiler error in ix86_compute_frame_size
Summary: Internal compiler error in ix86_compute_frame_size
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-19 04:04 UTC by Need Real Name
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 17:46:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-09-19 04:04:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
[root@server src]# cc -c sql.c
sql.c: In function `exist_record':
sql.c:15: Internal compiler error in ix86_compute_frame_size, at 
config/i386/i386.c:1875
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.compile sql.c
2.
3.
	

Actual Results:  [root@server src]# cc -c sql.c
sql.c: In function `exist_record':
sql.c:15: Internal compiler error in ix86_compute_frame_size, at 
config/i386/i386.c:1875
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  no output

Additional info:

Comment 1 Jakub Jelinek 2001-09-19 09:45:01 UTC
Is it reproduceable?
If yes, please provide sql.i (run cc -save-temps -c sql.c and it will appear
in current directory). Thanks.

Comment 2 Need Real Name 2001-09-19 23:57:40 UTC
It's just a very simple sample. Here is the source code.
################################
#   sql.c
################################
#include "sql.h"
#include <stdio.h>

connection_t *get_connection()
{
    return NULL;
}
void free_connection()
{

}

int exist_record(connection_t conn,char *sql)
{
    return 0;
}

int execute_update(connection_t conn,char *sql)
{
    return 0;
}

/*
    description : get resultset by sql
    parameters :
        conn : database's connection
        sql : sql statament
        start : start posistion in sql query
        length : length of result, if 0 then all of the query will be returned.
            returned with real length
*/
resultset_t *get_resultset(connection_t conn,char *sql,int start,int *length)
{
    return NULL;
}

/*
    description : get record's count by sql's statement
*/
int get_count(connection_t conn,char *sql)
{
    return 0;
}

################################
#   sql.h
################################
#ifndef _SQL_H
#define _SQL_H

typedef struct _connection_t{

} connection_t;

typedef struct _resultset_t{
    // result set's field name
    char **fields;
    // result set's data
    char ***data;
} resultset_t;

#endif




Note You need to log in before you can comment on or make changes to this bug.